RDKit::MorganFingerprint::MorganAtomEnv< OutputType > Class Template Reference

Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganAtomEnv< OutputType >:

## Public Member Functions

OutputType | getBitId (FingerprintArguments< OutputType > *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, const AdditionalOutput *additionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const override
| calculates and returns the bit id to be set for this atom-environment More...
| MorganAtomEnv (const std::uint32_t code, const unsigned int atomId, const unsigned int layer)
| Construct a new MorganAtomEnv object. More...
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

### template<typename OutputType>
class RDKit::MorganFingerprint::MorganAtomEnv< OutputType >

Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs.

Definition at line 147 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## MorganAtomEnv()

template<typename OutputType >

RDKit::MorganFingerprint::MorganAtomEnv< OutputType >::MorganAtomEnv | ( | const std::uint32_t | code,
|  | const unsigned int | atomId,
|  | const unsigned int | layer
| ) |  |

Construct a new MorganAtomEnv object.

Parameters

  code | bit id generated from this environment
  atomId | atom id of the atom at the center of this environment
  layer | radius of this environment

## Member Function Documentation

## getBitId()

template<typename OutputType >

OutputType RDKit::MorganFingerprint::MorganAtomEnv< OutputType >::getBitId | ( | FingerprintArguments< OutputType > * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | const AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = `false`,
|  | const std::uint64_t | fpSize = `0`
| ) |  | const

override virtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- MorganGenerator.h